package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SealFactory
{
    private SealFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.ISeal getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.ISeal)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4552A88E") ,com.kingdee.eas.custom.esign.ISeal.class);
    }
    
    public static com.kingdee.eas.custom.esign.ISeal getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.ISeal)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4552A88E") ,com.kingdee.eas.custom.esign.ISeal.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.ISeal getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.ISeal)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4552A88E"));
    }
    public static com.kingdee.eas.custom.esign.ISeal getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.ISeal)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4552A88E"));
    }
}